# ClassUtils Class Reference
[Various accompanying utilities]

Inheritance diagram for ClassUtils:
[legend]

List of all members.

## Static Public Member Functions

static | copyProperties ($source, $destination)
static | copyNotNullProperties ($source, $destination)
static | fillNullProperties ($source, $destination)
static | isClassName ($className)
static | isClassImplements ($what)
| to avoid dependency on SPL's class_implements
static | isInstanceOf ($object, $class)
static | callStaticMethod ($methodSignature)
static | checkStaticMethod ($methodSignature)
static | preloadAllClasses ()

## Public Attributes

const | CLASS_NAME_PATTERN = '[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff]*'

## Detailed Description

Definition at line 15 of file ClassUtils.class.php.

## Member Function Documentation

static ClassUtils::callStaticMethod | ( | $ | methodSignature | ) | `[static]`

Definition at line 164 of file ClassUtils.class.php.

Referenced by PrimitiveEnumerationByValue::import().

static ClassUtils::checkStaticMethod | ( | $ | methodSignature | ) | `[static]`

Definition at line 176 of file ClassUtils.class.php.

References Assert::isTrue().

Referenced by PrimitiveIdentifier::setMethodName().

Here is the call graph for this function:

static ClassUtils::copyNotNullProperties | ( | $ | source,
|  | $ | destination |
| ) |  |  | `[static]`

Definition at line 53 of file ClassUtils.class.php.

References Assert::isTrue().

Here is the call graph for this function:

static ClassUtils::copyProperties | ( | $ | source,
|  | $ | destination |
| ) |  |  | `[static]`

Definition at line 19 of file ClassUtils.class.php.

References Assert::isEqual().

Referenced by SaveCommand::run().

Here is the call graph for this function:

static ClassUtils::fillNullProperties | ( | $ | source,
|  | $ | destination |
| ) |  |  | `[static]`

Definition at line 75 of file ClassUtils.class.php.

References Assert::isTrue().

Here is the call graph for this function:

static ClassUtils::isClassImplements | ( | $ | what | ) | `[static]`

to avoid dependency on SPL's class_implements

Definition at line 112 of file ClassUtils.class.php.

static ClassUtils::isClassName | ( | $ | className | ) | `[static]`

Definition at line 103 of file ClassUtils.class.php.

Referenced by OqlSelectParser::fromState(), and PrimitiveClass::import().

static ClassUtils::isInstanceOf | ( | $ | object,
|  | $ | class |
| ) |  |  | `[static]`

Definition at line 133 of file ClassUtils.class.php.

Referenced by ClassProjection::__construct(), DateRange::checkType(), PrimitiveDateRange::checkType(), PrimitiveDate::checkType(), PropertyPath::fetchHelpers(), OqlSelectParser::fromState(), PrimitivePolymorphicIdentifier::import(), PrimitiveClass::import(), Assert::isInstance(), PrototypedBuilder::make(), and PrimitiveDateRange::of().

static ClassUtils::preloadAllClasses | ( |  | ) | `[static]`

Definition at line 211 of file ClassUtils.class.php.

## Member Data Documentation

const ClassUtils::CLASS_NAME_PATTERN = '[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff]*'

Definition at line 17 of file ClassUtils.class.php.

The documentation for this class was generated from the following file:

- main/Utils/ClassUtils.class.php